curl "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
-H "X-API-Key: your_api_key"
{
"id": "uuid",
"name": "API Health Check",
"url": "https://api.example.com/health",
"status": "up",
"uptime_percentage": 99.95,
"avg_response_time_ms": 245,
"recent_checks": [
{ "status": "up", "response_time_ms": 230, "checked_at": "2024-01-15T10:30:00Z" }
]
}
Uptime Monitors
Get Uptime Monitor
Get a single uptime monitor with recent checks
GET
/
uptime-monitors
/
{id}
curl "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
-H "X-API-Key: your_api_key"
{
"id": "uuid",
"name": "API Health Check",
"url": "https://api.example.com/health",
"status": "up",
"uptime_percentage": 99.95,
"avg_response_time_ms": 245,
"recent_checks": [
{ "status": "up", "response_time_ms": 230, "checked_at": "2024-01-15T10:30:00Z" }
]
}
Path Parameters
string
required
The monitor ID
Response
string
Monitor ID
string
Monitor name
string
Monitored URL
string
Current status
number
Uptime percentage over last 30 days
number
Average response time in milliseconds
curl "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
-H "X-API-Key: your_api_key"
{
"id": "uuid",
"name": "API Health Check",
"url": "https://api.example.com/health",
"status": "up",
"uptime_percentage": 99.95,
"avg_response_time_ms": 245,
"recent_checks": [
{ "status": "up", "response_time_ms": 230, "checked_at": "2024-01-15T10:30:00Z" }
]
}